# Uses of Class
org.apache.zookeeper.server.ServerMetrics

Packages that use ServerMetrics
Package
Description
org.apache.zookeeper.server
ZooKeeper server theory of operation

## Uses of ServerMetrics in org.apache.zookeeper.server

Fields in org.apache.zookeeper.server declared as ServerMetrics
Modifier and Type
Field
Description
`static final ServerMetrics`
ServerMetrics.`DEFAULT_METRICS_FOR_TESTS`
Dummy instance useful for tests.
`static final ServerMetrics`
ServerMetrics.`NULL_METRICS`
Dummy instance useful for tests.
Methods in org.apache.zookeeper.server that return ServerMetrics
Modifier and Type
Method
Description
`static ServerMetrics`
ServerMetrics.`getMetrics()`
Access current ServerMetrics.